Bug 1094804 - Review Request: pam_script - PAM module for executing scripts
Review Request: pam_script - PAM module for executing scripts
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-06 10:14 EDT by Jason Taylor
Modified: 2015-07-21 08:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 11:34:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Taylor 2014-05-06 10:14:51 EDT
Spec URL: https://github.com/jmtaylor90/pam-script-rpm/blob/master/specs/pam-script.spec
SRPM URL: https://github.com/jmtaylor90/pam-script-rpm/blob/master/rpm/pam-script-1.1.7-1.fc20.src.rpm
Description: pam_script is a module which allows to execute scripts after opening
and/or closing a session using PAM.

Fedora Account System Username: jtaylor

History:

https://bugzilla.redhat.com/show_bug.cgi?id=624705

This is my first package and need a sponsor. The goal is to have this package in Fedora and EPEL 5/6. Successful koji scratch builds can be found here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6818625 (f20)

http://koji.fedoraproject.org/koji/taskinfo?taskID=6818641 (el6)

http://koji.fedoraproject.org/koji/taskinfo?taskID=6818658 (el5)
Comment 1 Michael Cronenworth 2014-05-06 10:49:44 EDT
Looks good. One note: Your Source0 line needs either a comment or adjusting.

See: http://fedoraproject.org/wiki/Packaging:SourceURL#Github
Comment 2 Jason Taylor 2014-05-06 11:07:44 EDT
Thanks for the review Michael! I have updated the spec file and resultant srpm as indicated. 

https://github.com/jmtaylor90/pam-script-rpm/blob/master/specs/pam-script.spec

https://github.com/jmtaylor90/pam-script-rpm/blob/master/rpm/pam-script-1.1.7-1.fc20.src.rpm

JT
Comment 3 Christopher Meng 2014-05-06 11:10:48 EDT
Use your real name in Bugzilla, not only an email address.

This package should be named pam_script instead of the current one you are using.
Comment 4 Jason Taylor 2014-05-06 11:53:43 EDT
Thanks Christopher! I have made the adjustments as requested, the links now reflect the latest changes.

https://github.com/jmtaylor90/pam-script-rpm/blob/master/specs/pam_script.spec

https://github.com/jmtaylor90/pam-script-rpm/blob/master/rpm/pam_script-1.1.7-1.fc20.src.rpm
Comment 5 Jason Taylor 2014-05-06 14:16:42 EDT
scratch builds with the updated spec and src rpm are successful:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6819858 (f20)

http://koji.fedoraproject.org/koji/taskinfo?taskID=6819874 (el6)

http://koji.fedoraproject.org/koji/taskinfo?taskID=6819892 (el5)
Comment 6 Christopher Meng 2014-05-08 08:04:25 EDT
Follow this link step by step:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Be careful when you read the lines.

Thanks.
Comment 7 Jason Taylor 2014-05-08 08:51:00 EDT
Thanks Christopher,

I am reviewing again.
Comment 8 Jason Taylor 2014-05-09 11:34:07 EDT
Discovered this package needs some more work. Will refine and resubmit.

Note You need to log in before you can comment on or make changes to this bug.